Format shell scripts

Fix flags order
This commit is contained in:
jo 2021-08-16 13:45:32 +02:00
parent 6c2e547808
commit 8b3e09d41c
24 changed files with 1487 additions and 1499 deletions

View File

@ -29,9 +29,8 @@ export RABBITMQ_VHOST
export AIRTIME_UNIT_TEST="1"
#Change the working directory to this script's directory
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}")" && pwd)"
cd $DIR
#Run the unit tests
phpunit --verbose --log-junit test_results.xml

View File

@ -8,10 +8,10 @@ if [ -d .git ]; then
fi
if [ "${git_build}" = "y" ]; then
git_version=`git tag --points-at HEAD`
git_version=$(git tag --points-at HEAD)
echo " * Version from tag: ${git_version}"
if [ "${git_version}" = "" ]; then
git_version=`git rev-parse --short HEAD`
git_version=$(git rev-parse --short HEAD)
echo " * Overriding empty version with sha1 commit-ish: ${git_version}"
fi
echo ${git_version} > VERSION

View File

@ -1,8 +1,8 @@
#!/bin/bash -e
apt-get install -y --force-yes lsb-release sudo
dist=`lsb_release -is`
code=`lsb_release -cs`
cpu=`getconf LONG_BIT`
dist=$(lsb_release -is)
code=$(lsb_release -cs)
cpu=$(getconf LONG_BIT)
cpuvalue=
#enable apt.sourcefabric.org source
@ -17,8 +17,6 @@ apt-get update
apt-get -y --force-yes install sourcefabric-keyring
apt-get update
if [ "$dist" = "Ubuntu" ]; then
set +e
grep -E "deb http://ca.archive.ubuntu.com/ubuntu/ $code multiverse" /etc/apt/sources.list
@ -62,11 +60,11 @@ apt-get -y --force-yes install libopus0 libopus-dev libopus-dbg libopus-doc
#obsoleted code end
apt-get -y --force-yes install git-core ocaml-findlib libao-ocaml-dev \
libportaudio-ocaml-dev libmad-ocaml-dev libtaglib-ocaml-dev libalsa-ocaml-dev \
libvorbis-ocaml-dev libladspa-ocaml-dev libxmlplaylist-ocaml-dev libflac-dev \
libxml-dom-perl libxml-dom-xpath-perl patch autoconf libmp3lame-dev \
libcamomile-ocaml-dev libcamlimages-ocaml-dev libtool libpulse-dev camlidl \
libfaad-dev libpcre-ocaml-dev libfftw3-3 dialog
libportaudio-ocaml-dev libmad-ocaml-dev libtaglib-ocaml-dev libalsa-ocaml-dev \
libvorbis-ocaml-dev libladspa-ocaml-dev libxmlplaylist-ocaml-dev libflac-dev \
libxml-dom-perl libxml-dom-xpath-perl patch autoconf libmp3lame-dev \
libcamomile-ocaml-dev libcamlimages-ocaml-dev libtool libpulse-dev camlidl \
libfaad-dev libpcre-ocaml-dev libfftw3-3 dialog
if [ "$code" != "lucid" ]; then
apt-get -y --force-yes install libvo-aacenc-dev

View File

@ -5,7 +5,7 @@ exec 2>&1
ROOT_UID="0"
#Check if run as root
if [ "$UID" -ne "$ROOT_UID" ] ; then
if [ "$UID" -ne "$ROOT_UID" ]; then
echo "You must have 'sudo' right to do that!"
exit 1
fi
@ -13,7 +13,7 @@ fi
rm -rf ./liquidsoap-compile_logs
mkdir -p ./liquidsoap-compile_logs
showhelp () {
showhelp() {
echo "Usage: run.sh [options] [parameters]
-c all|ubuntu_lucid_32 Compile liquidsoap on all platforms or specified platform.
-b all|ubuntu_lucid_32 Build shroot environments for all platforms or specified platform.
@ -21,20 +21,20 @@ showhelp () {
exit 0
}
build_env () {
if [ $sudo_user = "-1" ];then
build_env() {
if [ $sudo_user = "-1" ]; then
echo "Please use -u to assign sudo username before build environments."
exit 1
fi
echo "build_env $1"
#exec > >(tee ./liquidsoap_compile_logs/build_env_$1.log)
os=`echo $1 | awk '/(debian)/'`
cpu=`echo $1 | awk '/(64)/'`
dist=`echo $1 | awk -F "_" '{print $2}'`
os=$(echo $1 | awk '/(debian)/')
cpu=$(echo $1 | awk '/(64)/')
dist=$(echo $1 | awk -F "_" '{print $2}')
rm -f /etc/schroot/chroot.d/$1.conf
if cat /etc/passwd | awk -F:'{print $1}' | grep "tmp" >/dev/null 2>&1;then
if cat /etc/passwd | awk -F:'{print $1}' | grep "tmp" > /dev/null 2>&1; then
echo "User tmp exists."
else
useradd tmp
@ -53,8 +53,8 @@ build_env () {
mkdir -p /srv/chroot/$1
#cp liquidsoap_compile.sh /srv/chroot/$1/
if [ "$os" = "" ];then
if [ "$cpu" = "" ];then
if [ "$os" = "" ]; then
if [ "$cpu" = "" ]; then
echo "debootstrap --variant=buildd --arch=i386 $dist /srv/chroot/$1 http://archive.ubuntu.com/ubuntu/"
debootstrap --variant=buildd --arch=i386 $dist /srv/chroot/$1 http://archive.ubuntu.com/ubuntu/
else
@ -62,7 +62,7 @@ build_env () {
debootstrap --variant=buildd --arch=amd64 $dist /srv/chroot/$1 http://archive.ubuntu.com/ubuntu/
fi
else
if [ "$cpu" = "" ];then
if [ "$cpu" = "" ]; then
echo "debootstrap --variant=buildd --arch=i386 $dist /srv/chroot/$1 http://ftp.debian.com/debian/"
debootstrap --variant=buildd --arch=i386 $dist /srv/chroot/$1 http://ftp.debian.com/debian/
else
@ -73,16 +73,16 @@ build_env () {
}
compile_liq () {
compile_liq() {
echo "complie_liq $1"
#exec > >(tee ./liquidsoap_compile_logs/compile_liq_$1.log)
binfilename=`echo $1 | sed -e 's/ubuntu/liquidsoap/g' -e 's/debian/liquidsoap/g' -e 's/32/i386/g' -e 's/64/amd64/g'`
binfilename=$(echo $1 | sed -e 's/ubuntu/liquidsoap/g' -e 's/debian/liquidsoap/g' -e 's/32/i386/g' -e 's/64/amd64/g')
rm -f /srv/chroot/$1/liquidsoap-compile.sh
rm -f /srv/chroot/$1/liquidsoap
cp liquidsoap-compile.sh /srv/chroot/$1/
schroot -c $1 -u root -d / -- /liquidsoap-compile.sh
cp /srv/chroot/$1/liquidsoap ./$binfilename
if [ $? = 0 ];then
if [ $? = 0 ]; then
echo "$binfilename is generated successfully"
else
mv ./liquidsoap-compile_logs/compile_liq_$1.log ./liquidsoap-compile_logs/fail_to_compile_liq_$1.log
@ -96,34 +96,30 @@ flag=
os=
sudo_user="-1"
if [ x$1 = x ];then
if [ x$1 = x ]; then
showhelp
fi
while getopts b:c:u: arg
do
while getopts b:c:u: arg; do
case $arg in
b)
if [ "$OPTARG" = "all" ];then
if [ "$OPTARG" = "all" ]; then
echo "Building all platforms on server..."
for i in $(seq 0 $(($num -1)));
do
for i in $(seq 0 $(($num - 1))); do
build_env ${os_versions[$i]} | tee ./liquidsoap-compile_logs/build_env_${os_versions[$i]}.log
done
else
flag=1
for i in $(seq 0 $(($num -1)));
do
if [ "$OPTARG" = ${os_versions[$i]} ];then
for i in $(seq 0 $(($num - 1))); do
if [ "$OPTARG" = ${os_versions[$i]} ]; then
echo "Building platform: $OPTARG ..."
build_env ${os_versions[$i]} | tee ./liquidsoap-compile_logs/build_env_${os_versions[$i]}.log
flag=0
fi
done
if [ $flag = 1 ];then
if [ $flag = 1 ]; then
echo "Unsupported Platform from:"
for j in "${os_versions[@]}"
do
for j in "${os_versions[@]}"; do
echo $j
done
exit 1
@ -131,27 +127,24 @@ do
fi
;;
c)
if [ "$OPTARG" = "all" ];then
if [ "$OPTARG" = "all" ]; then
echo "Compiling liquidsoap for all platforms on server..."
for i in $(seq 0 $(($num -1)))
do
for i in $(seq 0 $(($num - 1))); do
compile_liq ${os_versions[$i]} | tee ./liquidsoap-compile_logs/compile_liq_${os_versions[$i]}.log
done
else
flag=1
for i in $(seq 0 $(($num -1)));
do
if [ "$OPTARG" = ${os_versions[$i]} ];then
for i in $(seq 0 $(($num - 1))); do
if [ "$OPTARG" = ${os_versions[$i]} ]; then
echo "Compiling liquidsoap for platform: $OPTARG ..."
compile_liq ${os_versions[$i]} | tee ./liquidsoap-compile_logs/compile_liq_${os_versions[$i]}.log
flag=0
fi
done
if [ $flag = 1 ];then
if [ $flag = 1 ]; then
echo "Unsupported Platform from:"
for k in "${os_versions[@]}"
do
for k in "${os_versions[@]}"; do
echo $k
done
exit 1

View File

@ -10,7 +10,7 @@ baseurl="$1/updateAndBuild.action?buildKey="
# Moves to the 2nd param (first is URL)
shift
# Loop for each build key
while (( "$#" )); do
while (("$#")); do
#
# Invoke the trigger
@ -21,5 +21,4 @@ while (( "$#" )); do
shift
done
exit 0

View File

@ -1,11 +1,11 @@
#!/bin/bash -e
# Absolute path to this script
SCRIPT=`readlink -f $0`
SCRIPT=$(readlink -f $0)
# Absolute directory this script is in
SCRIPTPATH=`dirname $SCRIPT`
SCRIPTPATH=$(dirname $SCRIPT)
cd $SCRIPTPATH/../airtime_mvc/
path=`pwd`
path=$(pwd)
cd build
sed -i s#"project\.home =.*$"#"project.home = $path"#g build.properties
sed -i s:"project\.home =.*$":"project.home = $path":g build.properties
../../vendor/propel/propel1/generator/bin/propel-gen

View File

@ -78,5 +78,4 @@ tar -czf $target_file \
echo " Done"
popd
echo "Output file available at $target_file"

View File

@ -4,7 +4,7 @@ if [[ $EUID -ne 0 ]]; then
exit 1
fi
usage () {
usage() {
echo "Use --enable <user> or --disable flag. Enable is to set up environment"
echo "for specified user. --disable is to reset it back to pypo user"
}
@ -30,7 +30,6 @@ elif [ "$1" = "--disable" ]; then
chown -Rv $user:$user /var/tmp/airtime/pypo/
chmod -v a+r /etc/airtime/api_client.cfg
/etc/init.d/airtime-playout stop-liquidsoap
/etc/init.d/airtime-playout start
else

128
install
View File

@ -8,10 +8,10 @@ if [[ $EUID -ne 0 ]]; then
exit 1
fi
SCRIPT_DIR="$( cd "$( dirname "$0" )" && pwd )"
SCRIPT_DIR="$( cd "$( dirname "$0")" && pwd)"
AIRTIMEROOT=${SCRIPT_DIR}
showhelp () {
showhelp() {
echo "Usage: sudo bash install [options]
-h, --help, -?
Display usage information
@ -57,12 +57,11 @@ showhelp () {
Skips all postgres related install tasks (Useful if you configure
postgresql as part of another script / docker builds)
--no-rabbitmq
Skips all rabbitmq related install tasks.
"
Skips all rabbitmq related install tasks."
exit 0
}
showversion () {
showversion() {
if [ ! -f "$SCRIPT_DIR/VERSION" ]; then
echo "Please initialize LibreTime by running ./build.sh"
exit 1
@ -121,7 +120,7 @@ function loudCmd() {
function checkCommandExists() {
set +e
command=$@
eval hash ${command} 2>/dev/null
eval hash ${command} 2> /dev/null
commandFound=$?
if [[ ! ${commandFound} -eq 0 ]]; then
echo -e "Error: ${command} not found. Please ensure you have the corresponding dependency installed."
@ -151,15 +150,25 @@ function systemInitDetect() {
# Get package of PID=1 path as it identifies the init system.
# Allow this to fail, at least then the init system can be guessed from the
# PID 1 executable alone
pid_1_package=$(dpkg -S $pid_1_path 2>/dev/null ||
rpm --qf '%{name}\n' -qf $pid_1_path 2>/dev/null ||
pid_1_package=$(dpkg -S $pid_1_path 2> /dev/null ||
rpm --qf '%{name}\n' -qf $pid_1_path 2> /dev/null ||
echo "unknown")
verbose "Detected package name for PID=1 process: $pid_1_package"
case "${pid_1_package}:${pid_1_path}" in
*systemd*) has_systemd_init=true; verbose "Detected init system type: systemd" ;;
*upstart*) has_upstart_init=true; verbose "Detected init system type: Upstart" ;;
*sysvinit*) has_systemv_init=true; verbose "Detected init system type: System V" ;;
*) echo "ERROR: Unable to detect init system using package or path of PID=1 process!" >&2
*systemd*)
has_systemd_init=true
verbose "Detected init system type: systemd"
;;
*upstart*)
has_upstart_init=true
verbose "Detected init system type: Upstart"
;;
*sysvinit*)
has_systemv_init=true
verbose "Detected init system type: System V"
;;
*)
echo "ERROR: Unable to detect init system using package or path of PID=1 process!" >&2
exit 1
;;
esac
@ -196,7 +205,7 @@ function systemInitInstall() {
target_path="/etc/systemd/system/${service_name}.service"
alt_path=$(echo $target_path | sed 's/libretime-/airtime-/')
;;
libretime-liquidsoap|libretime-playout)
libretime-liquidsoap | libretime-playout)
source_path="${python_source_path}/pypo/install/systemd/${service_name}.service"
target_path="/etc/systemd/system/${service_name}.service"
alt_path=$(echo $target_path | sed 's/libretime-/airtime-/')
@ -257,7 +266,7 @@ function systemInitInstall() {
target_path="/etc/init/${service_name}.conf"
user=""
;;
libretime-liquidsoap|libretime-playout)
libretime-liquidsoap | libretime-playout)
source_path="${python_source_path}/pypo/install/upstart/${service_name}.conf.template"
target_path="/etc/init/${service_name}.conf"
user=${user:-$web_user}
@ -297,7 +306,7 @@ function systemInitInstall() {
target_config_path="/etc/default/${service_name}"
user=""
;;
libretime-liquidsoap|libretime-playout)
libretime-liquidsoap | libretime-playout)
source_path="${python_source_path}/pypo/install/sysvinit/${service_name}"
target_path="/etc/init.d/${service_name}"
user=${user:-$web_user}
@ -342,9 +351,10 @@ function systemInitInstall() {
# Where _command_ is one of: start, stop, status, reload, restart
# enable, disable and either daemon-reload or reload-configuration.
function systemInitCommand() {
local command=$1; shift
local command=$1
shift
case "$command" in
start|stop|status|reload|restart)
start | stop | status | reload | restart)
if $has_systemd_init; then
loudCmd "systemctl $command $@"
elif $has_upstart_init; then
@ -357,23 +367,25 @@ function systemInitCommand() {
done
fi
;;
enable|disable) # TODO: REMOVE
enable | disable) # TODO: REMOVE
$has_systemd_init &&
loudCmd "systemctl $command $1.service"
if $has_systemv_init; then
if [[ "$command" = "enable" ]]
then loudCmd "update-rc.d $1 defaults"
else loudCmd "update-rc.d $1 enable"
if [[ "$command" = "enable" ]]; then
loudCmd "update-rc.d $1 defaults"
else
loudCmd "update-rc.d $1 enable"
fi
fi
;;
daemon-reload|reload-configuration)
daemon-reload | reload-configuration)
$has_systemd_init &&
loudCmd "systemctl daemon-reload"
$has_upstart_init &&
loudCmd "initctl reload-configuration"
;;
*) echo -e "$0:${FUNCNAME}(): ERROR: command \"$command\" is not supported!" >&2
*)
echo -e "$0:${FUNCNAME}(): ERROR: command \"$command\" is not supported!" >&2
exit 1
;;
esac
@ -391,7 +403,7 @@ while :; do
--verbose)
_v=1
;;
--quiet|--silent)
--quiet | --silent)
_q=1
;;
--force)
@ -507,7 +519,7 @@ while :; do
-?*)
for ((i = 1; i < ${#1}; i++)); do
case "${1:$i:1}" in
h|\?)
h | \?)
showhelp
;;
V)
@ -556,14 +568,16 @@ while :; do
fi
;;
*)
echo "$0: error - unrecognized option '${1:$i:1}'" >&2;
echo "$0: error - unrecognized option '${1:$i:1}'" >&2
echo "Try 'install --help' for more information."
exit 1
;;
esac
done
;;
*)
break
;;
esac
shift
done
@ -606,9 +620,16 @@ if [ -n "$dist" ]; then
if [ "$dist" != "$ID" ]; then
verbose "Detected distribution \"$ID\" does not match specified one of \"$dist\". Checking ..."
case "$dist" in
centos|rhel) pkg_installer=/usr/bin/yum; verbose "Detected yum package installer" ;;
debian|ubuntu) pkg_installer=/usr/bin/apt-get; verbose "Detected apt-get package installer" ;;
*) echo "ERROR: the value \"$dist\" specified for --distribution is unsupported." >&2
centos | rhel)
pkg_installer=/usr/bin/yum
verbose "Detected yum package installer"
;;
debian | ubuntu)
pkg_installer=/usr/bin/apt-get
verbose "Detected apt-get package installer"
;;
*)
echo "ERROR: the value \"$dist\" specified for --distribution is unsupported." >&2
exit 1
;;
esac
@ -638,30 +659,30 @@ case "${dist}-${code}" in
is_ubuntu_dist=true
is_ubuntu_bionic=true
;;
ubuntu-16.04|ubuntu-xenial|ubuntu-xenial_docker_minimal)
ubuntu-16.04 | ubuntu-xenial | ubuntu-xenial_docker_minimal)
echo -e "ERROR: Ubuntu Xenial is archived and does not receive any security or other updates since 2021-04-01." >&2
echo -e "The LibreTime installer dropped support for installing LibreTime on Xenial in 3.0.0-alpha.10." >&2
exit 1
;;
debian-9|debian-stretch)
debian-9 | debian-stretch)
echo -e "ERROR: Debian Stretch is archived and does not receive any security or other updates since 2020-06-06." >&2
echo -e "The LibreTime installer dropped support for installing LibreTime on Stretch in 3.0.0-alpha.10." >&2
exit 1
;;
debian-10|debian-buster)
debian-10 | debian-buster)
code="buster"
is_debian_dist=true
is_debian_buster=true
;;
#Fix for Raspbian 9 (stretch)
raspbian-9|9)
raspbian-9 | 9)
echo -e "ERROR: Raspbian Stretch is archived and does not receive any security or other updates since 2020-06-06." >&2
echo -e "The LibreTime installer dropped support for installing LibreTime on Stretch in 3.0.0-alpha.10." >&2
exit 1
;;
#End of fix
#Fix for Raspbian 10 (buster)
raspbian-10|10)
raspbian-10 | 10)
code="buster"
dist="debian"
is_debian_dist=true
@ -669,7 +690,7 @@ case "${dist}-${code}" in
;;
#End of fix
debian-8|debian-jessie)
debian-8 | debian-jessie)
echo -e "ERROR: Debian Jessie is archived and does not receive any security or other updates since 2018-05-17." >&2
echo -e "The LibreTime installer dropped support for installing LibreTime on Jessie in 3.0.0-alpha.8." >&2
exit 1
@ -738,7 +759,7 @@ fi
# Check if composer exists and install if it doesn't
set +e
eval hash "composer" 2>/dev/null
eval hash "composer" 2> /dev/null
commandFound=$?
set -e
if [[ ! ${commandFound} -eq 0 ]]; then
@ -835,7 +856,7 @@ if [ "$apache" = "t" ]; then
loud " * Configuring Apache * "
loud "-----------------------------------------------------"
# Detect Apache root folder, e.g. /etc/apache2 or /etc/httpd
eval $($apache_bin -V |awk '/HTTPD_ROOT|SERVER_CONFIG_FILE/ { print $2 }')
eval $($apache_bin -V | awk '/HTTPD_ROOT|SERVER_CONFIG_FILE/ { print $2 }')
apache_conf="${HTTPD_ROOT}/${SERVER_CONFIG_FILE}"
verbose "Detected Apache root folder is: ${HTTPD_ROOT}"
if [[ ! -e $apache_conf ]]; then
@ -855,7 +876,7 @@ if [ "$apache" = "t" ]; then
set +e
# Parse: Server version: Apache/2.2.22 (Ubuntu) -> 2
apache_major_version=$($apache_bin -v |awk -F'[ /.]+' 'NR == 1 { print $4 }')
apache_major_version=$($apache_bin -v | awk -F'[ /.]+' 'NR == 1 { print $4 }')
set -e
if [[ "$apache_major_version" -ge 2 ]]; then
@ -929,7 +950,7 @@ if [ "$icecast" = "t" ]; then
systemInitCommand enable ${icecast_unit_name}
# only update icecast password if
if [ ! -e "/etc/airtime/airtime.conf" ] && [ ! -e "/etc/airtime/airtime.conf.tmp" ]; then
icecast_pass=$(< /dev/urandom tr -dc _A-Z-a-z-0-9 | head -c${1:-12};)
icecast_pass=$(tr -dc _A-Z-a-z-0-9 < /dev/urandom | head -c${1:-12})
echo $icecast_pass > /tmp/icecast_pass
loud "\n New install detected setting icecast password to random value."
xmlstarlet ed --inplace -u /icecast/authentication/source-password -v $icecast_pass $icecast_config
@ -1075,18 +1096,18 @@ if [ $skip_postgres -eq 0 ]; then
setupAirtimePostgresUser() {
# here-doc to execute this block as postgres user
su postgres <<'EOF'
set +e
count=$(psql -d postgres -tAc "SELECT count(*) FROM pg_roles WHERE rolname='airtime';")
if [[ $count -eq 0 ]]; then
psql -d postgres -tAc "CREATE USER airtime WITH ENCRYPTED PASSWORD 'airtime'; ALTER USER airtime CREATEDB;"
[[ $? -eq 0 ]] &&
echo "Created airtime user in PostgreSQL" ||
echo "$0:${FUNCNAME}(): ERROR: Can't create airtime user in PostgreSQL!"
else
echo "airtime user already exists in PostgreSQL"
fi
set -e
su postgres << 'EOF'
set +e
count=$(psql -d postgres -tAc "SELECT count(*) FROM pg_roles WHERE rolname='airtime';")
if [[ $count -eq 0 ]]; then
psql -d postgres -tAc "CREATE USER airtime WITH ENCRYPTED PASSWORD 'airtime'; ALTER USER airtime CREATEDB;"
[[ $? -eq 0 ]] &&
echo "Created airtime user in PostgreSQL" ||
echo "$0:${FUNCNAME}(): ERROR: Can't create airtime user in PostgreSQL!"
else
echo "airtime user already exists in PostgreSQL"
fi
set -e
# don't indent this!
EOF
}
@ -1158,7 +1179,6 @@ if [ ! -d "/srv/airtime" ]; then
fi
chown -R ${web_user}:${web_user} /srv/airtime
# We only generate the locales for Airtime if you're allowing us
# to install our dependencies, so that we won't automatically do this
# when this install script runs from our DEB package.
@ -1172,7 +1192,7 @@ if [ "$ignore_dependencies" = "f" ]; then
else
set +e
verbose "\n * Generating locales"
for i in `ls ${web_root}/../locale | grep ".._.."`; do
for i in $(ls ${web_root}/../locale | grep ".._.."); do
if [ "$dist" = "debian" ]; then
grep -qi "^$i" /etc/locale.gen
if [ $? -ne 0 ]; then
@ -1210,7 +1230,7 @@ if $is_centos_dist; then
else
# not on centos
ip_device="eth0"
IP=$(ifconfig ${ip_device} 2>/dev/null |awk -F'[ :]+' '/inet addr:/ {print $4}')
IP=$(ifconfig ${ip_device} 2> /dev/null | awk -F'[ :]+' '/inet addr:/ {print $4}')
fi
verbose "...Done"

View File

@ -52,9 +52,9 @@ echo "...Done"
IP=$(lxc-info -i -n ${name} -H)
echo -e "\n * Opening ${name} in your browser..."
if hash xdg-open 2>/dev/null; then
if hash xdg-open 2> /dev/null; then
xdg-open "http://${IP}/"
elif hash gnome-open 2>/dev/null; then
elif hash gnome-open 2> /dev/null; then
gnome-open "http://${IP}/"
fi
echo "...Done"

View File

@ -58,7 +58,6 @@ su -l postgres bash -c 'createdb -O airtime airtime'
echo "ALTER USER airtime WITH PASSWORD 'airtime';" | su -l postgres bash -c psql
echo "GRANT ALL PRIVILEGES ON DATABASE airtime TO airtime;" | su -l postgres bash -c psql
# RabbitMQ
curl -s https://packagecloud.io/install/repositories/rabbitmq/rabbitmq-server/script.rpm.sh | sudo bash
yum install -y rabbitmq-server
@ -142,7 +141,6 @@ sed -i \
-e 's/LoadModule mpm_event_module/#LoadModule mpm_event_module/' \
/etc/httpd/conf.modules.d/00-mpm.conf
# celery will not run unless we install a specific version (https://github.com/pypa/setuptools/issues/942)
# this will need to be figured out later on and will get overridden by the docs installer anyhow :(
pip3 install setuptools==33.1.1

View File

@ -8,7 +8,6 @@
#
# See http://docs.celeryproject.org/en/latest/tutorials/daemonizing.html#generic-init-scripts
### BEGIN INIT INFO
# Provides: celeryd
# Required-Start: $network $local_fs $remote_fs
@ -126,8 +125,8 @@ export CELERY_LOADER
if [ -n "$2" ]; then
CELERYD_OPTS="$CELERYD_OPTS $2"
fi
CELERYD_LOG_DIR=`dirname $CELERYD_LOG_FILE`
CELERYD_PID_DIR=`dirname $CELERYD_PID_FILE`
CELERYD_LOG_DIR=$(dirname $CELERYD_LOG_FILE)
CELERYD_PID_DIR=$(dirname $CELERYD_PID_FILE)
# Extra start-stop-daemon options, like user/group.
if [ -n "$CELERYD_CHDIR" ]; then
DAEMON_OPTS="$DAEMON_OPTS --workdir=$CELERYD_CHDIR"
@ -177,7 +176,7 @@ create_paths() {
create_default_dir "$CELERYD_PID_DIR"
}
export PATH="${PATH:+$PATH:}/usr/sbin:/sbin"
_get_pidfiles () {
_get_pidfiles() {
# note: multi < 3.1.14 output to stderr, not stdout, hence the redirect.
${CELERYD_MULTI} expand "${CELERYD_PID_FILE}" ${CELERYD_NODES} 2>&1
}
@ -185,8 +184,8 @@ _get_pids() {
found_pids=0
my_exitcode=0
for pidfile in $(_get_pidfiles); do
local pid=`cat "$pidfile"`
local cleaned_pid=`echo "$pid" | sed -e 's/[^0-9]//g'`
local pid=$(cat "$pidfile")
local cleaned_pid=$(echo "$pid" | sed -e 's/[^0-9]//g')
if [ -z "$pid" ] || [ "$cleaned_pid" != "$pid" ]; then
echo "bad pid file ($pidfile)"
one_failed=true
@ -201,10 +200,10 @@ _get_pids() {
fi
done
}
_chuid () {
_chuid() {
su "$CELERYD_USER" -c "$CELERYD_MULTI $*"
}
start_workers () {
start_workers() {
if [ ! -z "$CELERYD_ULIMIT" ]; then
ulimit $CELERYD_ULIMIT
fi
@ -215,13 +214,13 @@ start_workers () {
$CELERY_APP_ARG \
$CELERYD_OPTS
}
dryrun () {
dryrun() {
(C_FAKEFORK=1 start_workers --verbose)
}
stop_workers () {
stop_workers() {
_chuid stopwait $CELERYD_NODES --pidfile="$CELERYD_PID_FILE"
}
restart_workers () {
restart_workers() {
_chuid restart $CELERYD_NODES $DAEMON_OPTS \
--pidfile="$CELERYD_PID_FILE" \
--logfile="$CELERYD_LOG_FILE" \
@ -232,11 +231,11 @@ restart_workers () {
kill_workers() {
_chuid kill $CELERYD_NODES --pidfile="$CELERYD_PID_FILE"
}
restart_workers_graceful () {
restart_workers_graceful() {
echo "WARNING: Use with caution in production"
echo "The workers will attempt to restart, but they may not be able to."
local worker_pids=
worker_pids=`_get_pids`
worker_pids=$(_get_pids)
[ "$one_failed" ] && exit 1
for worker_pid in $worker_pids; do
local failed=
@ -250,7 +249,7 @@ restart_workers_graceful () {
done
[ "$one_failed" ] && exit 1 || exit 0
}
check_status () {
check_status() {
my_exitcode=0
found_pids=0
local one_failed=
@ -260,9 +259,9 @@ check_status () {
one_failed=true
break
fi
local node=`basename "$pidfile" .pid`
local pid=`cat "$pidfile"`
local cleaned_pid=`echo "$pid" | sed -e 's/[^0-9]//g'`
local node=$(basename "$pidfile" .pid)
local pid=$(cat "$pidfile")
local cleaned_pid=$(echo "$pid" | sed -e 's/[^0-9]//g')
if [ -z "$pid" ] || [ "$cleaned_pid" != "$pid" ]; then
echo "bad pid file ($pidfile)"
one_failed=true
@ -290,7 +289,7 @@ case "$1" in
check_paths
stop_workers
;;
reload|force-reload)
reload | force-reload)
echo "Use restart"
;;
status)

View File

@ -30,12 +30,12 @@ PIDFILE=/var/run/$NAME.pid
# and status_of_proc is working.
. /lib/lsb/init-functions
start () {
start() {
start-stop-daemon --start --background --quiet --chuid $USERID:$GROUPID \
--make-pidfile --pidfile $PIDFILE --startas $DAEMON
}
stop () {
stop() {
# Send TERM after 5 seconds, wait at most 30 seconds.
start-stop-daemon --stop --oknodo --retry TERM/5/0/30 --quiet --pidfile $PIDFILE
rm -f $PIDFILE

View File

@ -19,10 +19,9 @@ post_file() {
airtime_conf_path=/etc/airtime/airtime.conf
#instance_path will look like 1/1384, for example
http_path=$(grep base_url ${airtime_conf_path} | awk '{print $3;}' )
http_port=$(grep base_port ${airtime_conf_path} | awk '{print $3;}' )
http_path=$(grep base_url ${airtime_conf_path} | awk '{print $3;}')
http_port=$(grep base_port ${airtime_conf_path} | awk '{print $3;}')
#post request url - http://bananas.airtime.pro/rest/media, for example
url=http://
@ -31,14 +30,12 @@ post_file() {
url+=$http_port
url+=/rest/media
api_key=$(grep api_key ${airtime_conf_path} | awk '{print $3;}' )
api_key=$(grep api_key ${airtime_conf_path} | awk '{print $3;}')
# -f is needed to make curl fail if there's an HTTP error code
# -L is needed to follow redirects! (just in case)
until curl -fL --max-time 30 $url -u $api_key":" -X POST -F "file=@${file_path}"
do
retry_count=$[$retry_count+1]
until curl -fL --max-time 30 $url -u $api_key":" -X POST -F "file=@${file_path}"; do
retry_count=$(($retry_count + 1))
if [ $retry_count -ge $max_retry ]; then
break
fi

View File

@ -8,9 +8,8 @@ post_file() {
max_retry=10
retry_count=0
until curl --max-time 30 http://localhost/rest/media -u 3188BDIMPJROQP89Z0OX: -X POST -F "file=@${file_path}" -F "name=${filename}"
do
retry_count=$[$retry_count+1]
until curl --max-time 30 http://localhost/rest/media -u 3188BDIMPJROQP89Z0OX: -X POST -F "file=@${file_path}" -F "name=${filename}"; do
retry_count=$(($retry_count + 1))
if [ $retry_count -ge $max_retry ]; then
break
fi

View File

@ -30,12 +30,12 @@ PIDFILE=/var/run/$NAME.pid
# and status_of_proc is working.
. /lib/lsb/init-functions
start () {
start() {
start-stop-daemon --start --background --quiet --chuid $USERID:$GROUPID \
--make-pidfile --pidfile $PIDFILE --startas $DAEMON
}
stop () {
stop() {
# Send TERM after 5 seconds, wait at most 30 seconds.
start-stop-daemon --stop --oknodo --retry TERM/5/0/30 --quiet --pidfile $PIDFILE
rm -f $PIDFILE

View File

@ -30,12 +30,12 @@ PIDFILE=/var/run/$NAME.pid
# and status_of_proc is working.
. /lib/lsb/init-functions
start () {
start() {
start-stop-daemon --start --background --quiet --chuid $USERID:$GROUPID \
--make-pidfile --pidfile $PIDFILE --startas $DAEMON
}
stop () {
stop() {
# Send TERM after 5 seconds, wait at most 30 seconds.
start-stop-daemon --stop --oknodo --retry TERM/5/0/30 --quiet --pidfile $PIDFILE
rm -f $PIDFILE

View File

@ -8,25 +8,18 @@ if [[ $EUID -ne 0 ]]; then
fi
getStorDirFromDatabase() {
# here-doc to execute this block as postgres user
result=`su postgres <<'EOF'
set +e
echo $(psql -d airtime -tAc "SELECT directory FROM cc_music_dirs WHERE type='stor'")
set -e
# don't indent this!
EOF`
echo $result
echo $(sudo -u postgres psql -d airtime -tAc "SELECT directory FROM cc_music_dirs WHERE type='stor'")
}
dropLibreTimeDatabase() {
# here-doc to execute this block as postgres user
su postgres <<'EOF'
set +e
# DROP DATABASE cannot be executed from a function or multi-command string
psql -d postgres -tAc "DROP DATABASE IF EXISTS airtime_test"
psql -d postgres -tAc "DROP DATABASE IF EXISTS airtime"
psql -d postgres -tAc "DROP USER IF EXISTS airtime"
set -e
su postgres << 'EOF'
set +e
# DROP DATABASE cannot be executed from a function or multi-command string
psql -d postgres -tAc "DROP DATABASE IF EXISTS airtime_test"
psql -d postgres -tAc "DROP DATABASE IF EXISTS airtime"
psql -d postgres -tAc "DROP USER IF EXISTS airtime"
set -e
# don't indent this!
EOF
}
@ -44,7 +37,7 @@ removeRabbitmqLibreTimeSettings() {
rabbitmqctl delete_user ${RMQ_USER}
}
SCRIPT_DIR="$( cd "$( dirname "$0" )" && pwd )"
SCRIPT_DIR="$( cd "$( dirname "$0")" && pwd)"
AIRTIMEROOT=${SCRIPT_DIR}
STOR_DIR=$(getStorDirFromDatabase)
@ -60,7 +53,7 @@ FILES=(
"/usr/bin/airtime*"
"/etc/apache2/sites-available/airtime*"
"/etc/apache2/sites-enabled/airtime*"
)
)
echo -e "The following files, directories, and services will be removed:\n"
for i in ${FILES[*]}; do
@ -73,14 +66,14 @@ echo -e "\nIf your web root is not listed, you will need to manually remove it."
echo -e "\nThis will *permanently* remove LibreTime and all related files from your computer. \
Any files in LibreTime directories and subdirectories will be deleted. Are you sure you want to proceed? [y/N]: \c"
read IN
if [[ ! ( "$IN" = "y" || "$IN" = "Y" ) ]]; then
if [[ ! ("$IN" = "y" || "$IN" = "Y") ]]; then
exit 0
fi
if [ -n "${STOR_DIR}" ]; then
echo -e "\nDo you want to remove your music storage directory ${STOR_DIR} and all of its subdirectories? [y/N]: \c"
read IN
if [[ ( "$IN" = "y" || "$IN" = "Y" ) ]]; then
if [[ ("$IN" = "y" || "$IN" = "Y") ]]; then
rm -rf "${STOR_DIR}"
fi
else

View File

@ -1,7 +1,7 @@
#!/bin/bash
# Absolute path to this script
SCRIPT=`readlink -f $0`
SCRIPT=$(readlink -f $0)
# Absolute directory this script is in
SCRIPTPATH=`dirname $SCRIPT`
SCRIPTPATH=$(dirname $SCRIPT)
php -q $SCRIPTPATH/airtime-log.php "$@" || exit 1

View File

@ -24,9 +24,9 @@
# This script send data to data collection server
#
# Absolute path to this script
SCRIPT=`readlink -f $0`
SCRIPT=$(readlink -f $0)
# Absolute directory this script is in
SCRIPTPATH=`dirname $SCRIPT`
SCRIPTPATH=$(dirname $SCRIPT)
cd $SCRIPTPATH

View File

@ -24,9 +24,9 @@
# This script send data to data collection server
#
# Absolute path to this script
SCRIPT=`readlink -f $0`
SCRIPT=$(readlink -f $0)
# Absolute directory this script is in
SCRIPTPATH=`dirname $SCRIPT`
SCRIPTPATH=$(dirname $SCRIPT)
cd $SCRIPTPATH

View File

@ -1,21 +1,19 @@
#!/bin/bash
if [ -z "$1" ]
then
if [ -z "$1" ]; then
## Use config
backup_folder=~/libretime_backup/
else
else
## User arg as config
backup_folder=$1
fi
airtime_conf_path=/etc/airtime/airtime.conf
uploads_folder=/srv/airtime/stor/
psdl_db=$(grep dbname ${airtime_conf_path} | awk '{print $3;}' )
psql_user=$(grep dbuser ${airtime_conf_path} | awk '{print $3;}' )
psql_password=$(grep dbpass ${airtime_conf_path} | awk '{print $3;}' )
psdl_db=$(grep dbname ${airtime_conf_path} | awk '{print $3;}')
psql_user=$(grep dbuser ${airtime_conf_path} | awk '{print $3;}')
psql_password=$(grep dbpass ${airtime_conf_path} | awk '{print $3;}')
## Remove old backup
rm -rf $backup_folder

View File

@ -5,10 +5,10 @@ pid_found="$?"
if [ "$pid_found" == "0" ]; then
#PID is available in the status message
rabbitmqpid=`/etc/init.d/rabbitmq-server status | grep "\[{pid" | sed "s/.*,\(.*\)\}.*/\1/"`
rabbitmqpid=$(/etc/init.d/rabbitmq-server status | grep "\[{pid" | sed "s/.*,\(.*\)\}.*/\1/")
else
#PID should be available from file
rabbitmqpid=`sed "s/.*,\(.*\)\}.*/\1/" /var/lib/rabbitmq/pids`
rabbitmqpid=$(sed "s/.*,\(.*\)\}.*/\1/" /var/lib/rabbitmq/pids)
fi
echo "RabbitMQ PID: $rabbitmqpid"

View File

@ -7,7 +7,6 @@
# 1 - Rivendell store files in .wav format, airtime uses .mp3 format
# 2 - WAV does not have Meta-tag support so all meta-tags need to be fetched from Rivendell database.
if [ $# -ne 2 ]; then
echo "usage: $0 <rivendell_dir> <final_dir>"
exit
@ -24,21 +23,19 @@ end_dir=$2
cd "$rivendell_dir"
for file in *
do
for file in *; do
lame "$file"
done
mv "$rivendell_dir"/*.mp3 "$end_dir"
cd "$end_dir"
for file in *
do
id=`echo $file | head -c 10`
title=`mysql -u $user -p$pass -sN -e "SELECT CU.DESCRIPTION FROM CUTS CU, CART CA WHERE CA.NUMBER=CU.CART_NUMBER AND CU.CUT_NAME=\"${id}\"" $db`
artist=`mysql -u $user -p$pass -sN -e "SELECT CA.ARTIST FROM CUTS CU, CART CA WHERE CA.NUMBER=CU.CART_NUMBER AND CU.CUT_NAME=\"${id}\"" $db`
album=`mysql -u $user -p$pass -sN -e "SELECT CA.ALBUM FROM CUTS CU, CART CA WHERE CA.NUMBER=CU.CART_NUMBER AND CU.CUT_NAME=\"${id}\"" $db`
year=`mysql -u $user -p$pass -sN -e "SELECT CA.YEAR FROM CUTS CU, CART CA WHERE CA.NUMBER=CU.CART_NUMBER AND CU.CUT_NAME=\"${id}\"" $db`
for file in *; do
id=$(echo $file | head -c 10)
title=$(mysql -u $user -p$pass -sN -e "SELECT CU.DESCRIPTION FROM CUTS CU, CART CA WHERE CA.NUMBER=CU.CART_NUMBER AND CU.CUT_NAME=\"${id}\"" $db)
artist=$(mysql -u $user -p$pass -sN -e "SELECT CA.ARTIST FROM CUTS CU, CART CA WHERE CA.NUMBER=CU.CART_NUMBER AND CU.CUT_NAME=\"${id}\"" $db)
album=$(mysql -u $user -p$pass -sN -e "SELECT CA.ALBUM FROM CUTS CU, CART CA WHERE CA.NUMBER=CU.CART_NUMBER AND CU.CUT_NAME=\"${id}\"" $db)
year=$(mysql -u $user -p$pass -sN -e "SELECT CA.YEAR FROM CUTS CU, CART CA WHERE CA.NUMBER=CU.CART_NUMBER AND CU.CUT_NAME=\"${id}\"" $db)
id3 -t "$title" -a "$artist" -A "$album" -y "$year" $file
mv "$file" "$artist-$title.mp3"
done